/***************************************************************
 * Name:      nombres.h
 * Purpose:   Defines Dialog nombres de entradas
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-09-25
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef NOMBRESENTRADAS_H
#define NOMBRESENTRADAS_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/button.h>
#include <wx/sizer.h>

#include "datos.h"

class nombresEntradas: public wxDialog
{
    public:
        nombresEntradas(wxWindow *wnd, datosProyecto &datos);
        void OnClose(wxCloseEvent& event);

    protected:
        enum {
            idEntrada = 1000,
            idNBits
        };
    private:
        wxTextCtrl* ctrlNombre;
        wxTextCtrl* ctrlNBits;
        DECLARE_EVENT_TABLE()
};

#endif // NOMBRESENTRADAS_H


